import argparse


from eval_task2_ar import EVALtask2

def main(pred_filename, list_dirname, subset='val'):

    anet_detection = EVALtask2(pred_filename, list_dirname, subset=subset)
    anet_detection.evaluate()

def parse_input():
    description = ('This script allows you to evaluate the ActivityNet '
                   'detection task which is intended to evaluate the ability '
                   'of  algorithms to temporally localize activities in '
                   'untrimmed video sequences.')
    p = argparse.ArgumentParser(description=description)
    p.add_argument('pred_filename',
                   help='Full path to json file containing the ground truth.')
    p.add_argument('list_dirname',
                   help='list dir')
    p.add_argument('--subset', default='val',
                   help=('String indicating subset to evaluate: '
                         '(training, validation)'))
    return p.parse_args()

if __name__ == '__main__':
    args = parse_input()
    main(**vars(args))
